{if $varning == 0}
<div class="alert alert-danger">
	<button type="button" class="close" data-dismiss="alert">×</button>
	{l s='Maybe not set the synchronization module!' mod='cmlid'}
</div>
{/if}
<div id="product-cmlid" class="panel product-tab">
	<input name="submitted_tabs[]" value="cmlid" type="hidden">
	<div class="panel-heading">
	<i class="icon-cogs"></i> {l s='View, edit CommerceML identifier for this product' mod='cmlid'}
	</div>

<div class="form-group">
	<label class="control-label col-lg-3" for="xml_id">
	<span data-original-title="{l s='Уникальный 36-разрядный идентификатор'}"class="label-tooltip" data-toggle="tooltip" title="">
				 CML id {l s='Product' mod='cmlid'}
				 </span>
			</label>
	<div class="col-lg-5">
				<input size="40" maxlength="36" name=xml_id id=xml_id type="text" value="{if isset($xml) and $xml !='Not assign !!!'}{$xml}{/if}" placeholder="Не назначено !!!"/>
	</div>
</div>

<div class="form-group">
<div class="panel col-lg-12">
{if $xml_c != 'Not assign !!!'}
	<div class="table-responsive clearfix">
		<table id="combinations-list" class="table  configuration">
			<thead>
				<tr class="nodrag nodrop">
					<th class="center fixed-width-xs">
					</th>
					<th class=" left">
						<span class="title_box ">
						{l s='Name of combination' mod='cmlid'}
						</span>
					</th>
					<th class=" left">
						<span class="title_box ">
						 CML id {l s='Combination' mod='cmlid'}
						</span>
					</th>
				</tr>
			</thead>
			<tbody>
			{foreach from=$xml_c item=foo}
				<tr class=" odd">
					<td class="text-center">
						{$foo['id']}
					</td>
					<td class="left">
						{$foo['name']}
					</td>
					<td class="left">
						<input size="36" maxlength="36" name="xml_{$foo['id']}" id="xml_{$foo['id']}" type="text" value="{if isset($foo['xml'])}{$foo['xml']}{/if}" placeholder="Не назначено !!!"/>
					</td>
				</tr>
			{/foreach}
			</tbody>
		</table>
	</div>
{else}
{l s='No combination' mod='cmlid'}
{/if}
</div>
</div>
	<div class="alert alert-info">
		<h4><strong>{l s='Attention!' mod='cmlid'}</strong></h4><br> 
		<strong>{l s='Important Notice!' mod='cmlid'}</strong><br><br>
		{l s='Under the mistaken identity change, connection is broken between the product in the store and in the program account. Be careful!' mod='cmlid'}
		<br><br>
		<strong>{l s='Consider yourself warned! We hope for your prudence!' mod='cmlid'}</strong>
	</div>
	<div class="panel-footer">
		<a href="{$link->getAdminLink('AdminProducts')}" class="btn btn-default"><i class="process-icon-cancel"></i> {l s='Cancel'}</a>
		<button type="submit" name="submitAddproduct" class="btn btn-default pull-right"><i class="process-icon-save"></i> {l s='Save'}</button>
		<button type="submit" name="submitAddproductAndStay" class="btn btn-default pull-right"><i class="process-icon-save"></i> {l s='Save and stay'}</button>
	</div>

</div>
