{nocache}
<script type="text/javascript" src="{$module_template_dir}js/cmlid.js">
</script>
{if $varning == 0}
<div class="alert alert-danger">
	<button type="button" class="close" data-dismiss="alert">×</button>
	{l s='Maybe not set the synchronization module!' mod='ecm_cmlid'}
</div>
{/if}
<div id="product-cmlid" class="panel product-tab">
	<input name="submitted_tabs[]" value="cmlid" type="hidden">
	<div class="panel-heading">
	<i class="icon-cogs"></i> {l s='View, edit CommerceML identifier for this product' mod='ecm_cmlid'}
	</div>

<div class="form-group">
	<label class="control-label col-lg-3" for="xml_id">
	<span data-original-title="{l s='Уникальный 36-разрядный идентификатор'}"class="label-tooltip" data-toggle="tooltip" title="">
				 CML id {l s='Product' mod='ecm_cmlid'}
				 </span>
			</label>
	<div class="col-lg-5">
				<input size="40" maxlength="36" name="xml_id" id="xml_id" type="text" value="{if isset($xml) and $xml !='Not assign !!!'}{$xml}{/if}" placeholder="Не назначено !!!"/>
	</div>
</div>

<div class="form-group">
<div class="panel col-lg-12">
{if $xml_c != 'Not assign !!!'}
	<div class="form-group" style = "clear: both;">
			<label class="control-label col-lg-3" style = "clear: both;">
				Товар с разделенными характеристиками
			</label>
			<div class="col-lg-6">
				<input type="checkbox" name="separated_atr" id="separated_atr"/>
				<p class="help-block"> Отметьте для активации режима. Внимание!!! Для использования этой опции должна быть доработана надлежащим образом конфигурация 1С</p>
			</div>
		</div>
	<div class="table-responsive clearfix">
		<table id="combinations-list" class="table  configuration">
			<thead>
				<tr class="nodrag nodrop">
					<th class="center fixed-width-xs">
					</th>
					<th class=" left">
						<span class="title_box ">
						{l s='Name of combination' mod='ecm_cmlid'}
						</span>
					</th>
					<th class=" left">
						<span class="title_box ">
						 CML id {l s='Combination' mod='ecm_cmlid'}
						</span>
					</th>
				</tr>
			</thead>
			<tbody>
			{foreach from=$xml_c item=foo}
				<tr class=" odd">
					<td class="text-center">
						{$foo['id']}
					</td>
					<td class="left">
						{$foo['name']}
					</td>
					<td class="left">
						<input size="73" maxlength="73" class="xml_c" id_c="{$foo['id']}" name="xml_{$foo['id']}" id="xml_{$foo['id']}" type="text" value="{if isset($foo['xml'])}{$foo['xml']}{/if}" placeholder="Не назначено !!!"/>
					</td>
				</tr>
			{/foreach}
			</tbody>
		</table>
	</div>
{else}
{l s='No combination' mod='ecm_cmlid'}
{/if}
</div>
</div>
	<div class="alert alert-info">
		<h4><strong>{l s='Attention!' mod='ecm_cmlid'}</strong></h4><br>
		<strong>{l s='Important Notice!' mod='ecm_cmlid'}</strong><br><br>
		{l s='Under the mistaken identity change, connection is broken between the product in the store and in the program account. Be careful!' mod='ecm_cmlid'}
		<br><br>
		<strong>{l s='Consider yourself warned! We hope for your prudence!' mod='ecm_cmlid'}</strong>
	</div>
	<div class="panel-footer">
		<a href="{$link->getAdminLink('AdminProducts')}" class="btn btn-default"><i class="process-icon-cancel"></i> {l s='Cancel'}</a>
<!-- 		<button type="submit" name="submitAddproduct" class="btn btn-default pull-right"><i class="process-icon-save"></i> {l s='Save'}</button>
		<button type="submit" name="submitAddproductAndStay" class="btn btn-default pull-right"><i class="process-icon-save"></i> {l s='Save and stay'}</button>
 -->
		<button id ="submitAddproductAndStay" class="hide" name="submitAddproductAndStay" type="submit"></button>
		<button id ="xmlsave" class="btn btn-default pull-right"><i class="process-icon-save"></i> {l s='Save and stay'}</button>

	</div>

</div>


<script>
{literal}

function clearJSON(result){
	var position = result.indexOf("{");
	if (!result.substring(0,position)==="")console.warn(result.substring(0,position));
	return jQuery.parseJSON(result.substring(position));
}

function gettrueurl_xml(){
	return "{/literal}{$module_dir}{literal}action.php";
}

$('#xmlsave').on('click', function(s) {
	var url = gettrueurl_xml();
	var xml_c = $(".xml_c");
	var xmlc_key = [];
	var xmlc_value = [];
	$.each(xml_c, function(index, value) {
		xmlc_key.push($(value).attr("id_c"));
		xmlc_value.push($(value).val());
	});
	//console.warn(xmlc_key);
	//console.warn(xmlc_value);
	var data = {
		xml_id: $("#xml_id").val(),
		xmlc_key: xmlc_key,
		xmlc_value: xmlc_value,
		id: "{/literal}{$id_product}{literal}",
		mode: "xmlsave",
		};
	$.ajax({
		data:data,
		url:url,
		async: false,
		success: function(result) {
			a = clearJSON(result);
			//console.warn(a);
			if (a.success) {
				$("#submitAddproductAndStay").submit();
			}
			else {
				return false
			}
		}
	});
})


{/literal}
</script>

